Subject: Bug#471: ATTENTION @Mike#1 - serious bug in x2goserver upgrade script (debian wheezy+squeeze)

From: Stefan Baur <[email-masked]>
Date: Thu, 03 Apr 2014 08:47:25 +0200

Package: x2goserver
Severity: grave
Version: 4.0.1.14

Hi Mike,

this is happening on

x2goserver (4.0.1.14-0x2go1+git20140402.842+squeeze.main.1)

as well.

Please help! All my machines are stuck in the upgrade process! This is
not good!

-Stefan

-------- Original-Nachricht --------
Betreff: [X2Go-User] Unable to upgrade
Datum: Wed, 2 Apr 2014 19:14:53 +0300
Von: Panayotis Katsaloulis <[email-masked]>
An: [email-masked]

Hello all!

I have installed x2go, I can connect - everything is fine.
In the past I think there was a problem when I tried to launch a client
(as xterm session), and which I was unable to properly close, so I
forced close it.

The problem is that I am unable to upgrade through apt-get upgrade though.

Now when I try to upgrade I get this message:

Processing triggers for menu (2.1.46) ...
Setting up x2goserver (4.0.1.14-0x2go1+git20140402.842+wheezy.main.1) ...
Group x2gouser already exists.
User x2gouser already exists.
[info] Cleaning up stale X2Go sessions..

… and the screen remains like this forever.

The uname -a command produces the following result:

Linux danube 3.13-1-amd64 #1 SMP Debian 3.13.7-1 (2014-03-25) x86_64
GNU/Linux

Any help?

--
Panayotis

_______________________________________________
X2Go-User mailing list
[email-masked]
https://lists.berlios.de/mailman/listinfo/x2go-user